# Meeting Summary Generator

A Python project focused on enhancing meeting analysis through advanced prompt engineering. This tool leverages large language models (LLMs) to process meeting transcriptions and generate comprehensive summaries, identifying key topics, roles, risks, and action items.

## Purpose

This project aims to improve the effectiveness of meeting summaries by:

1. **Analyzing transcriptions** to extract meaningful insights
2. **Identifying key topics** and their associated discussions
3. **Clarifying participant roles** and their contributions
4. **Assessing risks** and their potential impact
5. **Defining actionable items** with clear responsibilities
6. **Generating structured reports** in markdown format

## Functionality

- **Topic Extraction**: Identifies and organizes discussion themes from transcriptions
- **Role Identification**: Maps participants to their functional roles and influence levels
- **Risk Assessment**: Highlights potential challenges and their implications
- **Summary Creation**: Synthesizes key points and decisions made during meetings
- **Action Definition**: Extracts and prioritizes tasks with clear accountability
- **Report Compilation**: Produces a well-structured, professional meeting report

The project demonstrates how carefully crafted prompts can significantly enhance the quality and utility of LLM outputs in real-world applications.